Daten zur Spendenseite

GET /api/account/donations

Response (application/json)

{
    "status": "success",
    "message": "all information about your donation page is displayed below",
    "data": {
        "information": {
            "enabled": true,
            "description": "Das ist meine Spenden-Seite",
            "link": "https:\/\/24fi.re\/d\/24fire",
            "background_image": "https:\/\/spenden.24fire.de\/background\/bg-premium-11"
        },
        "bundles": [
            {
                "name": "Premium",
                "description": "Du erhälst die Vorteile von Premium",
                "price": 10,
                "input_field": "Spielername"
            },
            {
                "name": "Vip",
                "description": "Du erhälst die Vorteile von Vip",
                "price": 25,
                "input_field": "Spielername"
            }
        ],
        "donations": [
            {
                "id": "40d8ce64",
                "date": "2024-12-23T16:07:15.000Z",
                "donator": "Bill Yard",
                "amount": 5,
                "bundle": null,
                "status": "open"
            },
            {
                "id": "801833b4",
                "date": "2024-11-07T03:07:56.000Z",
                "donator": "Alf Abeth",
                "amount": 10,
                "bundle": null,
                "status": "paid"
            },
            {
                "id": "489e4a1a",
                "date": "2023-11-26T18:15:38.000Z",
                "donator": "Effi Ziens",
                "amount": 5,
                "bundle": {
                    "name": "Vip",
                    "input_field": "Allfred99"
                },
                "status": "paid"
            }
        ]
    }
}

Response Enums

Response Parameter Beschreibung
status Status der Transaktion

cURL

curl "https://manage.24fire.de/api/account/donations" -X GET -H "Content-Type: application/x-www-form-urlencoded" -H "X-Fire-Apikey: [Dein API-Key]"

Anfrage testen